This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1256534 - Unexpected Error Encountered Refreshing Running Tasks
Unexpected Error Encountered Refreshing Running Tasks
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Pete Savage
: ZStream
Depends On:
Blocks: 1256789
  Show dependency treegraph
 
Reported: 2015-08-24 16:55 EDT by Jerry Keselman
Modified: 2015-12-08 08:28 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1256789 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:28:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Keselman 2015-08-24 16:55:56 EDT
Description of problem: After refreshing running tasks I received the following in the UI - 


Unexpected error encountered

Errors in Management Engine can be caused by:

① Accessing Management Engine from multiple tabs or windows of the same browser on a single machine. Close any duplicate browser sessions, then select a menu option above.
② Pressing the back button during a session.
      Close any duplicate browser sessions, then select a menu option above.
③ An internal system error.
      Please contact your administrator for assistance.


Error text:

undefined method `downcase' for ["state"]:Array [miq_task/button]



Version-Release number of selected component (if applicable): 5.4


How reproducible:

Intermittent


Steps to Reproduce:
1. Configuration ->
2. Tasks ->
3. Refresh

Actual results:

See the message above.


Expected results:

A table of the running tasks


Additional info:

Also received this stack trace in the development.log - 

[----] F, [2015-08-24T15:56:42.051770 #9244:48d988] FATAL -- : Error caught: [NoMethodError] undefined method `downcase' for ["state"]:Array
/mnt/hgfs/jerryk/redhat/manageiq/app/helpers/application_helper.rb:1287:in `listicon_image_tag'
/mnt/hgfs/jerryk/redhat/manageiq/app/helpers/application_helper.rb:1376:in `listicon_tag'
/mnt/hgfs/jerryk/redhat/manageiq/app/views/layouts/gtl/_list.html.haml:131:in `block in _app_views_layouts_gtl__list_html_haml__1578075929315090189_86081840'
/mnt/hgfs/jerryk/redhat/manageiq/app/views/layouts/gtl/_list.html.haml:47:in `each'
/mnt/hgfs/jerryk/redhat/manageiq/app/views/layouts/gtl/_list.html.haml:47:in `_app_views_layouts_gtl__list_html_haml__1578075929315090189_86081840'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:145:in `block in render'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:166:in `instrument'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:333:in `instrument'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:143:in `render'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `instrument'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:309:in `render'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rubies/ruby-2.2.3/lib/ruby/gems/2.2.0/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
Comment 3 CFME Bot 2015-08-25 21:24:03 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 4 CFME Bot 2015-08-25 21:26:28 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 5 CFME Bot 2015-08-25 21:29:06 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 6 CFME Bot 2015-08-25 21:31:39 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 7 CFME Bot 2015-08-25 21:34:13 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 8 CFME Bot 2015-08-25 21:36:56 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 9 CFME Bot 2015-08-25 21:39:53 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 10 CFME Bot 2015-08-25 21:43:08 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 11 CFME Bot 2015-08-25 21:44:30 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 12 CFME Bot 2015-08-25 21:49:40 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fd1cdbc45c04fae0f7be8d993f82f94f0a23944b

commit fd1cdbc45c04fae0f7be8d993f82f94f0a23944b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 24 17:50:42 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 24 17:50:42 2015 -0400

    Fixed a typo in listicon_image_tag method
    
    - Added a spec test to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1256534

 app/helpers/application_helper.rb       | 2 +-
 spec/helpers/application_helper_spec.rb | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
Comment 13 Pete Savage 2015-10-05 08:06:09 EDT
Verified in 5.5.0.3
Comment 15 errata-xmlrpc 2015-12-08 08:28:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.